Subject: Re: bug#15156: 24.3; !MEM FULL!

From: "Sebastien Vauban" <[email-masked]>
Date: Thu, 05 Sep 2013 15:21:41 +0200

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Date: Sat, 24 Aug 2013 00:22:42 +0200
>> Cc: [email-masked]
>> 
>> martin rudalics wrote:
>> >> I could profile during such a nasty event:
>> >>
>> >>     http://screencast.com/t/RXyxvn90zs
>> >>
>> >> Suggestions?
>> >
>> > Turn off flyspell and see whether it still happens?
>> 
>> Quite complex, and not really proving anything, as the problem is quite
>> sporadic (once every 1 week or more, I'd say).
>
> So you are saying that some (most?) of your sessions don't exhibit
> this problem at all?  Earlier, you said that the problematic sessions
> are only several hours old, and this "once a week" seems to contradict
> that, because if the memory footprint grows so much in just a few
> hours, you should see these problems in almost every session.  What am
> I missing?

I could NOT reproduce this problem for days and days, even trying to keep
longer Emacs sessions.

Though, it just happened with GNU Emacs 24.3.1.

    GNU Emacs 24.3.1 (i386-mingw-nt6.2.9200) of 2013-04-08 on LEG570

Unfortunately, for some reason, my "watch-emacs" script was stopped. Though, I
made a video where you can dynamically see the memory growing very quickly,
then dropping back a lot. I'll send it privately, as it contains information
in buffers which I don't want to make public.

Best regards,
  Seb

-- 
Sebastien Vauban